osl::rating::BradleyTerry::Thread Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Public Attributes | List of all members
osl::rating::BradleyTerry::Thread Class Reference
Collaboration diagram for osl::rating::BradleyTerry::Thread:
[legend]

## Public Member Functions
| Thread (const BradleyTerry *a, size_t t, size_t f, size_t l, valarray_t *w, std::valarray< long double > *d, size_t *s)
void | operator() ()

## Public Attributes
const BradleyTerry * | features
size_t | target
size_t | first
size_t | last
valarray_t * | wins
std::valarray< long double > * | denominator
size_t * | skip

## Detailed Description

Definition at line 79 of file bradleyTerry.cc.

## Constructor & Destructor Documentation

osl::rating::BradleyTerry::Thread::Thread | ( | const BradleyTerry * | a,
|  | size_t | t,
|  | size_t | f,
|  | size_t | l,
|  | valarray_t * | w,
|  | std::valarray< long double > * | d,
|  | size_t * | s
| ) |  |
| inline

Definition at line 89 of file bradleyTerry.cc.

Referenced by osl::rating::BradleyTerry::update().

## Member Function Documentation

void osl::rating::BradleyTerry::Thread::operator() | ( | ) |  |
| inline

Definition at line 94 of file bradleyTerry.cc.

References target.

## Member Data Documentation

std::valarray<long double>* osl::rating::BradleyTerry::Thread::denominator

Definition at line 87 of file bradleyTerry.cc.

Referenced by osl::rating::BradleyTerry::update().

const BradleyTerry* osl::rating::BradleyTerry::Thread::features

Definition at line 83 of file bradleyTerry.cc.

size_t osl::rating::BradleyTerry::Thread::first

Definition at line 85 of file bradleyTerry.cc.

size_t osl::rating::BradleyTerry::Thread::last

Definition at line 85 of file bradleyTerry.cc.

Referenced by osl::rating::BradleyTerry::accumulate().

size_t* osl::rating::BradleyTerry::Thread::skip

Definition at line 88 of file bradleyTerry.cc.

Referenced by osl::rating::BradleyTerry::accumulate(), and osl::rating::BradleyTerry::update().

size_t osl::rating::BradleyTerry::Thread::target

Definition at line 84 of file bradleyTerry.cc.

valarray_t* osl::rating::BradleyTerry::Thread::wins

Definition at line 86 of file bradleyTerry.cc.

Referenced by osl::rating::BradleyTerry::update().

The documentation for this class was generated from the following file:

- bradleyTerry.cc